configure
changeset 578 3b2c95ee3398
parent 576 9026009cf370
child 592 0aadc9b6daac
     1.1 --- a/configure	Sat Jan 28 10:44:44 2012 -0500
     1.2 +++ b/configure	Sat Jan 28 10:55:23 2012 -0500
     1.3 @@ -11864,7 +11864,7 @@
     1.4      done
     1.5  }
     1.6  
     1.7 -SDL_VERSION=1.2.10
     1.8 +SDL_VERSION=2.0.0
     1.9  
    1.10  
    1.11  if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
    1.12 @@ -12022,12 +12022,12 @@
    1.13          pkg_cv_SDL_CFLAGS="$SDL_CFLAGS"
    1.14      else
    1.15          if test -n "$PKG_CONFIG" && \
    1.16 -    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"sdl >= \$min_sdl_version\"") >&5
    1.17 -  ($PKG_CONFIG --exists --print-errors "sdl >= $min_sdl_version") 2>&5
    1.18 +    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"sdl2 >= \$min_sdl_version\"") >&5
    1.19 +  ($PKG_CONFIG --exists --print-errors "sdl2 >= $min_sdl_version") 2>&5
    1.20    ac_status=$?
    1.21    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    1.22    (exit $ac_status); }; then
    1.23 -  pkg_cv_SDL_CFLAGS=`$PKG_CONFIG --cflags "sdl >= $min_sdl_version" 2>/dev/null`
    1.24 +  pkg_cv_SDL_CFLAGS=`$PKG_CONFIG --cflags "sdl2 >= $min_sdl_version" 2>/dev/null`
    1.25  else
    1.26    pkg_failed=yes
    1.27  fi
    1.28 @@ -12040,12 +12040,12 @@
    1.29          pkg_cv_SDL_LIBS="$SDL_LIBS"
    1.30      else
    1.31          if test -n "$PKG_CONFIG" && \
    1.32 -    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"sdl >= \$min_sdl_version\"") >&5
    1.33 -  ($PKG_CONFIG --exists --print-errors "sdl >= $min_sdl_version") 2>&5
    1.34 +    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"sdl2 >= \$min_sdl_version\"") >&5
    1.35 +  ($PKG_CONFIG --exists --print-errors "sdl2 >= $min_sdl_version") 2>&5
    1.36    ac_status=$?
    1.37    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    1.38    (exit $ac_status); }; then
    1.39 -  pkg_cv_SDL_LIBS=`$PKG_CONFIG --libs "sdl >= $min_sdl_version" 2>/dev/null`
    1.40 +  pkg_cv_SDL_LIBS=`$PKG_CONFIG --libs "sdl2 >= $min_sdl_version" 2>/dev/null`
    1.41  else
    1.42    pkg_failed=yes
    1.43  fi
    1.44 @@ -12064,24 +12064,18 @@
    1.45          _pkg_short_errors_supported=no
    1.46  fi
    1.47          if test $_pkg_short_errors_supported = yes; then
    1.48 -	        SDL_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "sdl >= $min_sdl_version"`
    1.49 +	        SDL_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "sdl2 >= $min_sdl_version"`
    1.50          else
    1.51 -	        SDL_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "sdl >= $min_sdl_version"`
    1.52 +	        SDL_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "sdl2 >= $min_sdl_version"`
    1.53          fi
    1.54  	# Put the nasty error message in config.log where it belongs
    1.55  	echo "$SDL_PKG_ERRORS" >&5
    1.56  
    1.57  	{ echo "$as_me:$LINENO: result: no" >&5
    1.58  echo "${ECHO_T}no" >&6; }
    1.59 -                             { echo "$as_me:$LINENO: result: no" >&5
    1.60 -echo "${ECHO_T}no" >&6; }
    1.61 -             sdl_pc=no
    1.62 -
    1.63 +                sdl_pc=no
    1.64  elif test $pkg_failed = untried; then
    1.65 -	             { echo "$as_me:$LINENO: result: no" >&5
    1.66 -echo "${ECHO_T}no" >&6; }
    1.67 -             sdl_pc=no
    1.68 -
    1.69 +	sdl_pc=no
    1.70  else
    1.71  	SDL_CFLAGS=$pkg_cv_SDL_CFLAGS
    1.72  	SDL_LIBS=$pkg_cv_SDL_LIBS
    1.73 @@ -12094,27 +12088,27 @@
    1.74      if test x$sdl_exec_prefix != x ; then
    1.75        sdl_config_args="$sdl_config_args --exec-prefix=$sdl_exec_prefix"
    1.76        if test x${SDL_CONFIG+set} != xset ; then
    1.77 -        SDL_CONFIG=$sdl_exec_prefix/bin/sdl-config
    1.78 +        SDL_CONFIG=$sdl_exec_prefix/bin/sdl2-config
    1.79        fi
    1.80      fi
    1.81      if test x$sdl_prefix != x ; then
    1.82        sdl_config_args="$sdl_config_args --prefix=$sdl_prefix"
    1.83        if test x${SDL_CONFIG+set} != xset ; then
    1.84 -        SDL_CONFIG=$sdl_prefix/bin/sdl-config
    1.85 +        SDL_CONFIG=$sdl_prefix/bin/sdl2-config
    1.86        fi
    1.87      fi
    1.88    fi
    1.89  
    1.90    if test "x$sdl_pc" = xyes ; then
    1.91      no_sdl=""
    1.92 -    SDL_CONFIG="pkg-config sdl"
    1.93 +    SDL_CONFIG="pkg-config sdl2"
    1.94    else
    1.95      as_save_PATH="$PATH"
    1.96      if test "x$prefix" != xNONE && test "$cross_compiling" != yes; then
    1.97        PATH="$prefix/bin:$prefix/usr/bin:$PATH"
    1.98      fi
    1.99 -    # Extract the first word of "sdl-config", so it can be a program name with args.
   1.100 -set dummy sdl-config; ac_word=$2
   1.101 +    # Extract the first word of "sdl2-config", so it can be a program name with args.
   1.102 +set dummy sdl2-config; ac_word=$2
   1.103  { echo "$as_me:$LINENO: checking for $ac_word" >&5
   1.104  echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
   1.105  if test "${ac_cv_path_SDL_CONFIG+set}" = set; then
   1.106 @@ -12235,11 +12229,11 @@
   1.107      }
   1.108    else
   1.109      {
   1.110 -      printf("\n*** 'sdl-config --version' returned %d.%d.%d, but the minimum version\n", $sdl_major_version, $sdl_minor_version, $sdl_micro_version);
   1.111 -      printf("*** of SDL required is %d.%d.%d. If sdl-config is correct, then it is\n", major, minor, micro);
   1.112 +      printf("\n*** 'sdl2-config --version' returned %d.%d.%d, but the minimum version\n", $sdl_major_version, $sdl_minor_version, $sdl_micro_version);
   1.113 +      printf("*** of SDL required is %d.%d.%d. If sdl2-config is correct, then it is\n", major, minor, micro);
   1.114        printf("*** best to upgrade to the required version.\n");
   1.115 -      printf("*** If sdl-config was wrong, set the environment variable SDL_CONFIG\n");
   1.116 -      printf("*** to point to the correct copy of sdl-config, and remove the file\n");
   1.117 +      printf("*** If sdl2-config was wrong, set the environment variable SDL_CONFIG\n");
   1.118 +      printf("*** to point to the correct copy of sdl2-config, and remove the file\n");
   1.119        printf("*** config.cache before re-running configure\n");
   1.120        return 1;
   1.121      }
   1.122 @@ -12297,10 +12291,10 @@
   1.123       :
   1.124    else
   1.125       if test "$SDL_CONFIG" = "no" ; then
   1.126 -       echo "*** The sdl-config script installed by SDL could not be found"
   1.127 +       echo "*** The sdl2-config script installed by SDL could not be found"
   1.128         echo "*** If SDL was installed in PREFIX, make sure PREFIX/bin is in"
   1.129         echo "*** your path, or set the SDL_CONFIG environment variable to the"
   1.130 -       echo "*** full path to sdl-config."
   1.131 +       echo "*** full path to sdl2-config."
   1.132       else
   1.133         if test -f conf.sdltest ; then
   1.134          :
   1.135 @@ -12366,7 +12360,7 @@
   1.136  	 echo "*** The test program failed to compile or link. See the file config.log for the"
   1.137            echo "*** exact error that occured. This usually means SDL was incorrectly installed"
   1.138            echo "*** or that you have moved SDL since it was installed. In the latter case, you"
   1.139 -          echo "*** may want to edit the sdl-config script: $SDL_CONFIG"
   1.140 +          echo "*** may want to edit the sdl2-config script: $SDL_CONFIG"
   1.141  fi
   1.142  
   1.143  rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
   1.144 @@ -16838,7 +16832,7 @@
   1.145    $ac_cs_success || { (exit 1); exit 1; }
   1.146  fi
   1.147  
   1.148 -ac_config_files="$ac_config_files Makefile SDL_mixer.spec SDL_mixer.qpg SDL_mixer.pc"
   1.149 +ac_config_files="$ac_config_files Makefile SDL2_mixer.spec SDL2_mixer.pc"
   1.150  
   1.151  ac_config_commands="$ac_config_commands default"
   1.152  
   1.153 @@ -17683,9 +17677,8 @@
   1.154    case $ac_config_target in
   1.155      "libtool") CONFIG_COMMANDS="$CONFIG_COMMANDS libtool" ;;
   1.156      "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   1.157 -    "SDL_mixer.spec") CONFIG_FILES="$CONFIG_FILES SDL_mixer.spec" ;;
   1.158 -    "SDL_mixer.qpg") CONFIG_FILES="$CONFIG_FILES SDL_mixer.qpg" ;;
   1.159 -    "SDL_mixer.pc") CONFIG_FILES="$CONFIG_FILES SDL_mixer.pc" ;;
   1.160 +    "SDL2_mixer.spec") CONFIG_FILES="$CONFIG_FILES SDL2_mixer.spec" ;;
   1.161 +    "SDL2_mixer.pc") CONFIG_FILES="$CONFIG_FILES SDL2_mixer.pc" ;;
   1.162      "default") CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   1.163  
   1.164    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5